;------------------------------------------------------------------------------------------------------------
;-------MY_XYNEST----------------------------------------------------------------------------------
;------------------------------------------------------------------------------------------------------------
;----von    : Markus Doll
;----fr    : DOLLmetall GmbH    www.Dollmetall.de
;----am     : 20.11.97
;------------------------------------------------------------------------------------------------------------
;----Beschreibung
;      von einem Digitalisiertablett werden Daten im Format:
;   X+   128.0 Y+   142.3     K0
;   X+    61.4 Y+   115.5     K0
;   X+    94.1 Y+   115.0     K0
;   X+   116.2 Y+   114.2     K0
; in eine Textdatei (Terminalprogramm) geschrieben.
; Die Aufgabe der LISP Routine ist es die Daten in Linien und Punkte
; auf den Autocad- Schirm zu bringen.
; Die Linie wird in den Layer            My_Autodraw_Linie    geschrieben
; Die Punkte werden auf den Layer My_Autodraw_Punkt geschrieben
; 
;Das Programm startet mit eingabe von my_XYNest
;
;------------------------------------------------------------------------------------------------------------
;------------------------------------------------------------------------------------------------------------

(print "defun my_XYNest fgt Koordinaten im NESTLER Format aus datei in Zeichnung ein")
(defun c:my_XYNest (
                                                        /
                                                      i_dat         ; Input-File
                                                      i_fd           ; Filedescriptor
                                                      buf            ; read buffer
                                           )
(Command "osmode")                             ;Objektfang AUS
(Command "0")
(Command "PDMODE")                         ;Punktstil X
(Command "3")
(Command "PDSIZE")                           ;Punktgrsse 3 Einheiten
(Command "3")

(Command "Layer")                                ;Neue Layer
(Command "Neu")
(Command "My_Autodraw_Linie")
(Command "Neu")
(Command "My_Autodraw_Punkt")
(Command "Farbe")
(Command "Grn")
(Command "My_Autodraw_Linie")
(Command "Farbe")
(Command "ROT")
(Command "My_Autodraw_Punkt")
(Command "Setzen")
(Command "My_Autodraw_Linie")
(Command "")

(Command "Regen")


(setq i_dat  (getfiled "Whle Datei im Nestler Format" "d:/daten/L3030/Auftr/Allx/" "TXT" 2))
(setq i_fd  (open i_dat "r"))
(if i_fd
     (progn
            (setq buf (read-line i_fd))
            (command "linie")
            (while buf
                  (Setq BUF1(substr BUF 2 1))                                                     ;Filter
                  (Setq BUF2(rtos(atof (substr BUF 3 9))))
                  (Setq BUF3(substr BUF 13 1)) 
                  (Setq BUF4(rtos(atof (substr BUF 14 9)))) 
                  (setq buf_O (strcat BUF1 BUF2 "," BUF3 BUF4))
                  (command buf_O)
                  (setq buf (read-line i_fd))
             )
            (command "")
            (close i_fd)
            
            (Command "Layer")
            (Command "Setzen")
            (Command "My_Autodraw_Punkt")
            (Command "")

            (setq i_fd  (open i_dat "r"))
            (setq buf (read-line i_fd))
            
            (while buf
                  (command "PUNKT") 
                  (Setq BUF1(substr BUF 2 1)) 
                  (Setq BUF2(rtos(atof (substr BUF 3 9))))
                  (Setq BUF3(substr BUF 13 1)) 
                  (Setq BUF4(rtos(atof (substr BUF 14 9)))) 
                  (setq buf_O (strcat BUF1 BUF2 "," BUF3 BUF4))
                  (command buf_O)
                  (setq buf (read-line i_fd))
             )
          
            (close i_fd)

     )
;else
    (progn
          (print)
          (princ "Kann <")
          (princ  i_dat)
          (princ "> nicht oeffnen.")
          (print)
    )
)
(princ )
)
